View Issue Details

IDProjectCategoryLast Update
0025402AI War 2SuggestionAug 20, 2021 11:28 pm
ReporterAsteroid Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product Version3.309 Hangar Staff 
Fixed in VersionBeta 3.601 Tuning Before A Respite 
Summary0025402: Show dormant units (inside Guard Posts) in planet sidebar
DescriptionSeems like it'd be useful to show which ships are inside each Guard Post and Command Station in the Planet side bar. Currently, we get a strength estimate for each planet but we don't really have a clue whether the units inside hard counter our own units (or vice versa), which could make the strength estimate widely inaccurate for predicting battle results. We can get a vague idea if we manually go over the (medium+) tooltip of each guard post to see the list of ship names, assuming we already know by heart the stats of each listed ship.

The best way to display this would probably be to add a "Dormant" category to the Planet view (so in a typical AI planet, you'd get the sections AI, AI Dormant and Nobody).

Besides an already compiled planet-wide list of names, having the units listed in the sidebar would add the very important benefit of letting the player check out said ship's stats beforehand, and even find counters to them using the R view. Currently, if you hover over a guard post and activate medium tooltips, you might learn it contains "4x Shrike Interceptor" - well that's great, but not very useful if you have no clue of what a "Shrike Interceptor" is.

Alternative display modes:
- Ships could be listed in the sidebar below their respective container - probably with a small indent to show they are "inside". It would take more space than the dedicated section suggested earlier that adds them all up irrespective of which building they're in.
    -- now that we can select enemy units, we could say that only selected guard posts reveal their contents in the sidebar in this fashion. Ideally, they'd also get highlighted in the sidebar.
TagsNo tags attached.

Activities

x4000Bughunter

Aug 18, 2021 4:55 pm

administrator   ~0062754

This is super useful, thanks for the suggestion!

* On the "at planet" sidebar, it now shows the ships that are inside guard posts, as well as those ships that are in your own transports.
** It shows them with a little organge "GP" or little blue "T" to help you see at a glance what is happening, and then the tooltips also mention it when you hover over them.
** The idea is to be able to fully understand what you are looking at when you're coming to a planet you are attacking, or when you are considering a planet to defend.
** Heck, this can even be useful for realizing that you forgot to deploy a transport if an attack is incoming.

Asteroid

Aug 20, 2021 10:59 pm

reporter   ~0062767

Thank you.

Asteroid

Aug 20, 2021 11:28 pm

reporter   ~0062768

Minor nitpick: hovering over those "inside guard post" units doesn't highlight the location of units of that type on the map. Implementation-wise I guess it makes sense, so mentioning just in case it's an easy fix.

Issue History

Date Modified Username Field Change
Jul 14, 2021 12:16 am Asteroid New Issue
Jul 14, 2021 12:18 am Asteroid Description Updated
Jul 14, 2021 12:20 am Asteroid Description Updated
Jul 14, 2021 12:20 am Asteroid Description Updated
Jul 14, 2021 12:23 am Asteroid Description Updated
Jul 18, 2021 10:08 pm Asteroid Description Updated
Aug 18, 2021 4:55 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 18, 2021 4:55 pm x4000Bughunter Status new => resolved
Aug 18, 2021 4:55 pm x4000Bughunter Resolution open => fixed
Aug 18, 2021 4:55 pm x4000Bughunter Fixed in Version => Beta 3.601 Tuning Before A Respite
Aug 18, 2021 4:55 pm x4000Bughunter Note Added: 0062754
Aug 20, 2021 10:59 pm Asteroid Note Added: 0062767
Aug 20, 2021 11:28 pm Asteroid Note Added: 0062768